/**
 * Test for bin.
 * Runs with mocha.
 */

'use strict'

const bin = require.resolve('../bin/apeman-tmpl')
const assert = require('assert')
const cp = require('child_process')

describe('bin', () => {

  it('Run command.', (done) => {
    var cmd = [
      bin,
      '-c',
      require.resolve('../doc/mocks/mock-Apemanfile.js')
    ].join(' ')
    cp.exec(cmd, (err) => {
      assert.ifError(err)
      done()
    })
  })
})

/* global describe, it */
