/**
 * Test case for listLogger.
 * Runs with mocha.
 */
'use strict'

const ListLogger = require('../lib/logging/list_logger.js')
const assert = require('assert')

describe('list logger', () => {

  it('List logger', (done) => {
    let logger = new ListLogger({})
    assert.ok(logger)
    logger.logTemplates({
      path: "foo/bar.txt",
      tmpl: 'foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo foo '
    })
    done()
  })
})

/* global describe, it */
