/** Example of Apemanfile.js */

'use strict'

module.exports = {
  $cwd: __dirname,
  $pkg: { /* ... */ },
  $tmpls: {
    // Use a template plugin.
    'ci/build.js': require('apeman-tmpl-ci')({
      task: 'build'
    }, '755'),
    // Define your own template.
    'src/foo.js': {
      // Custom tmpl conforms bud file format for `coz`.
      // For more detail, see https://www.npmjs.com/package/coz
      tmpl: '../../asset/foo.js.hbs',
      data: {},
      mode: '644',
      force: true
    }
  },
  $tasks: { /* ... */ },
  $apps: { /* ... */ },
  $wtchs: { /* ... */ }
}